moeoMetric(3)

NAME
moeoMetric - Base class for performance metrics (also called quality indicators).

SYNOPSIS

#include <moeoMetric.h>

Inherits eoFunctorBase.

Inherited by moeoBM< A1, A2, R >, moeoBM< const const EOFitness &, EOFitness &, R >, moeoBM< const const std::vector< EOFitness > &, EOFitness &, R >, moeoBM< const const std::vector< EOFitness > &, std::vector< EOFitness > &, R >, moeoBM< const const std::vector< typename EOT::Fitness > &, std::vector< typename EOT::Fitness > &, double >, moeoUM< A, R >, moeoUM< const EOFitness &, R >, and moeoUM< const std::vector< EOFitness > &, R >.

Detailed Description

Base class for performance metrics (also called quality indicators).

Definition at line 21 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.